com.smartgwt.client.types

## Enum StandardControlGroup

- java.lang.Object
- - java.lang.Enum<StandardControlGroup>
  - - com.smartgwt.client.types.StandardControlGroup

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<StandardControlGroup>

      public enum StandardControlGroup
      extends java.lang.Enum<StandardControlGroup>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BULLETCONTROLS` `HTML list controls`
    `COLORCONTROLS` `Color controls`
    `FONTCONTROLS` `Font controls`
    `FORMATCONTROLS` `Text formatting controls`
    `STYLECONTROLS` `Text styling controls`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static StandardControlGroup` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardControlGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FONTCONTROLS

          public static final StandardControlGroup FONTCONTROLS

      `Font controls`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fontControls".

    - #### FORMATCONTROLS

          public static final StandardControlGroup FORMATCONTROLS

      `Text formatting controls`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "formatControls".

    - #### STYLECONTROLS

          public static final StandardControlGroup STYLECONTROLS

      `Text styling controls`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "styleControls".

    - #### COLORCONTROLS

          public static final StandardControlGroup COLORCONTROLS

      `Color controls`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "colorControls".

    - #### BULLETCONTROLS

          public static final StandardControlGroup BULLETCONTROLS

      `HTML list controls`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "bulletControls".

  - ### Method Detail

    - #### values

          public static StandardControlGroup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardControlGroup c : StandardControlGroup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardControlGroup valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`